自定义域名
GET https://xlin.cc/api/domains/
curl --request GET \
--url 'https://xlin.cc/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xlin.cc/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详细信息 | 描述 |
|---|---|---|
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 您正在搜索哪个字段。允许的值是:host。 |
| is_enabled | 可选 布尔 | |
| order_by | 可选 字符串 | 按哪个字段对结果进行排序。允许的值是:domain_id , datetime , last_datetime , host。 |
| order_type | 可选 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选 整数 | 您想要结果的页码。默认为1。 |
| results_per_page | 可选 整数 | 每页您想要多少结果。允许的值为:10 , 25 , 50 , 100 , 250 , 500 , 1000。默认值为25。 |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-13 05:09:45",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://xlin.cc/api/domains?page=1",
"last": "https://xlin.cc/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://xlin.cc/api/domains?page=1"
}
}
GET https://xlin.cc/api/domains/{domain_id}
curl --request GET \
--url 'https://xlin.cc/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xlin.cc/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-13 05:09:45",
}
}
POST https://xlin.cc/api/domains
| 参数 | 详细信息 | 描述 |
|---|---|---|
| host | 必需 字符串 | - |
| custom_index_url | 可选 字符串 | - |
| custom_not_found_url | 可选 字符串 | - |
curl --request POST \
--url 'https://xlin.cc/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://xlin.cc/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://xlin.cc/api/domains/{domain_id}
| 参数 | 详细信息 | 描述 |
|---|---|---|
| host | 可选 字符串 | - |
| custom_index_url | 可选 字符串 | - |
| custom_not_found_url | 可选 字符串 | - |
curl --request POST \
--url 'https://xlin.cc/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://xlin.cc/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://xlin.cc/api/domains/{domain_id}
curl --request DELETE \
--url 'https://xlin.cc/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://xlin.cc/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \